Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06048 Core Major Random Oct 21, 2015, 22:08 Mar 10, 2016, 11:22
Tester Roman View Status Public Platform MAME (Official Binary)
Assigned To Osso Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.166 Fixed in Version 0.168 Build 64-bit
Summary 06048: e01, e01s: -listxml outputs you get different results for e01/e01s randomly
Description I've created a batchfile which runs mame -listxml >fileX multiple times (e.g. 10x)...in my example 1 out of such 10 outputs is different.
It is always different for the roms of e01/e01s (actually e01 will always be bad and lists the files of e01s...so you end up with identical rom element output for e01/e01s...

wrong:
<machine name="e01" sourcefile="src/devices/bus/econet/e01.c" isdevice="yes" runnable="no">
<description>Acorn FileStore E01</description>
<rom name="e01sv133.rom" size="65536" crc="2a4a0032" sha1="54ad68ceae44992293ccdd64ec88ad8520deec22" region="r65c102" offset="0"/>
<rom name="e01sv140.rom" size="65536" crc="5068fe86" sha1="9b8740face15b5541e2375b3054988af00757931" region="r65c102" offset="0"/>

right:
<machine name="e01" sourcefile="src/devices/bus/econet/e01.c" isdevice="yes" runnable="no">
<description>Acorn FileStore E01</description>
<rom name="0254,205-04 e01 fs" size="32768" crc="ae666c76" sha1="0954119eb5cd09cdbadf76d60d812aa845838d5a" region="r65c102" offset="0"/>
<rom name="0254,205-03 e01 mos" size="32768" crc="a13e8014" sha1="6f44a1a48108c60a64a1774cb30c1a59c4a6a199" region="r65c102" offset="8000"/>
Steps To Reproduce Run -listxml multiple times, redirect the output to different files, compare the files (e.g. by looking at the size/checksum)...I've run this on various systems and this error occurs...also other people can repeat this.....
Additional Information
Flags
Regression Version
Affected Sets / Systems e01, e01s
Attached Files
png file icon e01bug.PNG (23,008 bytes) Oct 21, 2015, 22:08 Uploaded by Roman
Roman
Relationships
There are no relationsihp linked to this issue.
Notes
9
User avatar
No.12082
abelenki
Tester
Oct 22, 2015, 02:24
yes, i can confirm that, too.
User avatar
No.12096
Roman
Senior Tester
Oct 28, 2015, 20:28
I've tested this again with the 64bit build of .167 and ran couple of dozens -listxml and can't repeat it....so hard to say if it was a compile related issue or someone fixed something?
User avatar
No.12097
Haze
Senior Tester
Oct 29, 2015, 10:15
afaik it hasn't been actively fixed, likely something uninitialized imho.
User avatar
No.12098
Roman
Senior Tester
Oct 29, 2015, 11:53
yep, that's what I think, too....when it failed it only failed for e01/e01s...no other sets (at least from my tests)...
User avatar
No.12099
Osso
Developer
Oct 29, 2015, 13:18
m_variant is initialized in the e01s_device constructor but not in the e01_device constructor. m_variant is checked to switch the device_rom_region, so I think the e01_device picks the wrong rom.
User avatar
No.12141
Robbbert
Developer
Nov 6, 2015, 19:56
A change was made. Please check if the problem is fixed.
User avatar
No.12449
Osso
Developer
Mar 9, 2016, 09:02
Roman, is this fixed?
User avatar
No.12450
Tafoid
Administrator
Mar 10, 2016, 01:45
This was fixed a long time ago, yes
User avatar
No.12451
M.A.S.H.
Senior Tester
Mar 10, 2016, 11:22
Fixed by Osso
http://git.redump.net/mame/commit/?id=c7cf9ee627efc57288ee9f2572622c1ff6e0b66e